Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class ClientProducerDelegate

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport
          org.jboss.jms.client.delegate.ClientProducerDelegate

All Implemented Interfaces:
  Closeable, ProducerDelegate, java.io.Serializable

public class ClientProducerDelegate
extends DelegateSupport
implements ProducerDelegate

The client-side Producer delegate class.

Version:
  `$Revision: 1.10 $` $Id: ClientProducerDelegate.java,v 1.10 2006/03/11 14:26:18 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.client.delegate.DelegateSupport
`id, state`

Constructor Summary
`ClientProducerDelegate()`

Method Summary
`void` | `close()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `closing()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`protected Client` | `getClient()`
`int` | `getDeliveryMode()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`JBossDestination` | `getDestination()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`boolean` | `getDisableMessageID()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`boolean` | `getDisableMessageTimestamp()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`int` | `getPriority()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`long` | `getTimeToLive()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `send(JBossDestination destination, Message message, int deliveryMode, int priority, long timeToLive)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `send(JBossMessage message)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setDeliveryMode(int deliveryMode)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setDestination(JBossDestination dest)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setDisableMessageID(boolean value)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setDisableMessageTimestamp(boolean value)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setPriority(int defaultPriority)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setTimeToLive(long timeToLive)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.jms.client.delegate.DelegateSupport
`getID, getMetaData, getName, getState, init, invoke, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientProducerDelegate

    public ClientProducerDelegate()

Method Detail

### close

    public void close()
               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### getDeliveryMode

    public int getDeliveryMode()
                        throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getDeliveryMode` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### getDestination

    public JBossDestination getDestination()
                                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getDestination` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### getDisableMessageID

    public boolean getDisableMessageID()
                                throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getDisableMessageID` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### getDisableMessageTimestamp

    public boolean getDisableMessageTimestamp()
                                       throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getDisableMessageTimestamp` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### getPriority

    public int getPriority()
                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getPriority` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### getTimeToLive

    public long getTimeToLive()
                       throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getTimeToLive` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### send

    public void send(JBossDestination destination,
                     Message message,
                     int deliveryMode,
                     int priority,
                     long timeToLive)
              throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `send` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### send

    public void send(JBossMessage message)
              throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Throws:
    `JMSException`

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)
                         throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setDeliveryMode` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### setDestination

    public void setDestination(JBossDestination dest)

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setDestination` in interface `ProducerDelegate`

### setDisableMessageID

    public void setDisableMessageID(boolean value)
                             throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setDisableMessageID` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean value)
                                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setDisableMessageTimestamp` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### setPriority

    public void setPriority(int defaultPriority)
                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setPriority` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### setTimeToLive

    public void setTimeToLive(long timeToLive)
                       throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setTimeToLive` in interface `ProducerDelegate`
  Throws:
    `JMSException`

### toString

    public java.lang.String toString()

### getClient

    protected Client getClient()

  Specified by:
    `getClient` in class `DelegateSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.